# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "codebreaker_vukolov_edition/version"

Gem::Specification.new do |spec|
  spec.name          = "codebreaker_vukolov_edition"
  spec.version       = CodebreakerVukolovEdition::VERSION
  spec.authors       = ["Anton Vukolov"]
  spec.email         = ["vatnajokull89@gmail.com"]

  spec.summary       = "Codebreaker is a logic game"
  spec.description   = "Codebreaker is a logic game in which a code-breaker tries to break a secret code created by a code-maker. The code-maker, which will be played by the application we’re going to write, creates a secret code of four numbers between 1 and 6."
  spec.homepage      = "https://github.com/vatnajokull/"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
